#!/usr/bin/env ruby

require "cmath"

if ARGV.empty?
    puts "Usage: quadratic [nonzero number] [integer] [integer]\n"
    puts "Example: quadratic 1 2 -15"
    exit
end

# get variables

a = ARGV[0].to_f
b = ARGV[1].to_f
c = ARGV[2].to_f

# do the quadratic formula

d = CMath.sqrt(b**2 - (4 * a * c))

e = (-b + d) / (2 * a)

f = (-b - d) / (2 * a)

# result

if a == 0
    puts "a must be nonzero."
    puts "Usage: quadratic [nonzero number] [integer] [integer]\n"
    puts "Example: quadratic 1 2 -15"
    exit
end

if e != f
    puts "The answers are #{e} and #{f}."
else
    puts "The answer is #{e}."
end
